%global fontname tharlon
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.002
Release:        11%{?dist}
Summary:        The Myanmar font which is designed by Ngwe Tun

License:        OFL
URL:            http://code.google.com/archive/p/tharlon-font/
Source0:        https://raw.githubusercontent.com/google/fonts/master/ofl/tharlon/Tharlon-Regular.ttf
Source1:        https://raw.githubusercontent.com/google/fonts/master/ofl/tharlon/OFL.txt
Source2:        %{name}-fontconfig.conf
Source3:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
TharLon is an authentic Myanmar typeface which covers several languages, such
as Burmese, Mon, Shan, Karen, Pa'o, Asho Chin, Kayah and Karenni, for use on
the web and in all other digital typography software. The name TharLon was 
the name of the King who standardized the units of measurement during the 
ancient Burmese Kingdom Era.

The TharLon font is designed by Ngwe Tun, and distributed under the SIL 
Open Font License with the Reserved Font Name 'TharLon'.

%prep
%autosetup -T -c
cp -p %{SOURCE0} %{SOURCE1} .

%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%license OFL.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.002-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.002-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 02 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.002-9
- Update URL and Source links again

* Thu Feb 23 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.002-8
- Update URL and Source links

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.002-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.002-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.002-4
- Add metainfo file to show this font in gnome-software

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 18 2013 Parag Nemade <pnemade AT redhat DOT com> - 1.002-2
- Add license file

* Mon Nov 18 2013 Parag Nemade <pnemade AT redhat DOT com> - 1.002-1
- Initial Fedora release.

